Skip to content
Order Management

Place Order

This interface is used to submit a stock buy or sell order for a specified securities account. By providing the account number account_no, stock symbol symbol, market market, trade direction side (buy / sell), order type order_type, quantity quantity, price price, and time-in-force time_in_force, it creates an order and returns the order ID order_id. It supports multiple order types including limit orders and market orders, as well as pre/post-market trading flags and remarks.

POSThttps://b-api.longbridge.xyz/v1/whaleapi/trade/order

Authorization

AuthorizationstringheaderRequired

Send the Broker ACCESS_TOKEN as Authorization: Bearer <token>.

Request body application/json

symbolstringrequired

Stock Symbol, in ticker.region format. Stock Symbol, in ticker.region format

sidestringrequired

Side. Side

order_typestringrequired

Order Type. Order Type

submitted_pricestring

Submitted Price. Submitted Price

submitted_quantitystringrequired

Submitted Quantity. Submitted Quantity

time_in_forcestringrequired

Time in Force. Time in Force

expire_datestring

Long-term Order Expiration Time. Long-term Order Expiration Time

outside_rthstring

Outside Regular Trading Hour. Outside Regular Trading Hour

trigger_pricestring

Trigger Price. Trigger Price

trailing_amountstring

Trailing Amount. Trailing Amount

trailing_percentstring

Trailing Percent. Trailing Percent

limit_offsetstring

Order Target Price Spread. Order Target Price Spread

remarkstring

Remark. Remark

account_nostringrequired

Account Number. Account Number

limit_depth_levelnumberrequired

Specifies the bid/ask depth level(指定买卖档位,取值范围为 -5 ~ 0 ~ 5,负数代表买盘档位

monitor_pricestringrequired

Monitoring price. Monitoring price

trigger_countnumberrequired

Number of triggers. Number of triggers

Responses

HTTP 200Fields are taken from the real responses definition for this operation in the published Whale OpenAPI spec (whale-openapi/Whale-openapi.json).
Standard response envelopecodemessagedata
dataobjectdata structure
order_idstringrequired

Order ID. Order ID

HTTP 400Bad request. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 401The user is not authenticated, or the login session has expired.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 403The current account is not authorized to use this feature. Grant the required permission to the account in User Permission.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

HTTP 408The request timed out. Check the business error code in code and the error details in message.
Standard response envelopecodemessagedata
dataobjectdata structure

No nested fields

Whale Docs